import { CSSProperties } from 'react';
import { useAnchor } from '../hooks/useAnchor';
import { Axis, Datum, RequiredChartOptions } from '../types';
export declare type TooltipRendererProps<TDatum> = {
    focusedDatum: Datum<TDatum> | null;
    getOptions: () => RequiredChartOptions<TDatum>;
    primaryAxis: Axis<TDatum>;
    secondaryAxis: Axis<TDatum>;
    getDatumStyle: (datum: Datum<TDatum>) => CSSProperties;
    anchorFit: ReturnType<typeof useAnchor>;
};
export default function TooltipRenderer<TDatum>(props: TooltipRendererProps<TDatum>): JSX.Element | null;
